name: 🐛 Bug Report
description: Report errors and problems
labels: Bug

body:
  - type: input
    id: affected-versions
    attributes:
      label: Bootstraptable version(s) affected
      placeholder: 1.21.2
    validations:
      required: true
  - type: textarea
    id: description
    attributes:
      label: Description
      description: What kind of error/problem you are affected by
    validations:
      required: true
  - type: textarea
    id: examples
    attributes:
      label: Example(s)
      description: |
        Please use our online Editor (https://live.bootstrap-table.com/) to create a example.
        On our Wiki (https://github.com/wenzhixin/bootstrap-table/wiki/Online-Editor-Explanation) you can read how to use the editor.
  - type: textarea
    id: possible-solution
    attributes:
      label: Possible Solutions
      description: "Optional: only if you have suggestions on a fix/reason for the bug"
  - type: textarea
    id: additional-contex
    attributes:
      label: Additional Context
      description: "Optional: any other context about the problem: browser version, operation system, etc."
  - type: markdown
    attributes:
        value: |
          Love bootstrap-table? Please consider supporting our collective:
          👉  https://opencollective.com/bootstrap-table/donate
